Bug 20684 - Serial console install gives a deadlock after installation.
Summary: Serial console install gives a deadlock after installation.
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
low
medium
Target Milestone: ---
Assignee: Brock Organ
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-11 20:02 UTC by Need Real Name
Modified: 2007-03-27 03:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-17 19:04:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-11-11 20:02:30 UTC
I managed to do a serial console install of RH7 on a system without video
adapter and keyboard. I like to share my experience and report some problems.

In order to do a serial install you need to add an extra command to the
boot command. Instead of starting the installation process with 'text' on
the bootprompt, with a serial console installed on the first serial port
you need to type 'text serial=ttyS0'.

But....... in this case I didn't have a bootprompt on the serial line while
I didn't tell the system yet I wanted to do a serial line installation. And
if I had a normal console to type the command I didn't have a need to do a
serial line installation.

I found a solution in modifying the bootdisk on a different system. In the
file 'syslinux.cfg' I changed the line reading "append initrd=initrd.img
text" to "append initrd=initrd.img text serial=ttyS0" and the line "default
linux" to "default text". In this way the installation starts on the serial
line by default.

The actual installation process works exactly the same as a text
installation on a normal video console. No problems.

After the installation process I ran into another problem. Linux installs
virtual terminals on the video console by default (mingetty). However it
does not install a getty process on any serial line by default. So after
the installation process I had a perfectly working system (I presume). I
wasn't able to reach it though.

This is a real problem. For this one I haven't found a solution so far. People
from RedHat can you solve this problem. Can you make the installation
process that intelligent, that if it knows it is doing an installation over
a serial line, a getty-process is installed on that serial line. In  general
make the installation process install a getty on the installation line, wether
it is the console or any other line.

Koos.

Comment 1 Michael Fulbright 2000-11-15 19:23:35 UTC
Assigned to a QA engineer to reproduce.

Comment 2 Brock Organ 2000-11-16 14:01:19 UTC
your observations are correct!

1) for serial installs without a video adapter, the default redhat boot disk
will not work (you have to modify the syslinux cfg file like you did!)

2) /etc/inittab does not have support for a getty from the serial console

We have added these requests to our feature request list ... thanks for your report!

Comment 3 Brock Organ 2000-11-16 14:04:38 UTC
additionally, as a workaround for now, you may manually add getty support for
the serial console in /etc/inittab in two ways:

1) perform a kickstart instllation, and in the %post section list the commands
necessary to add the serial mgetty line

2) temporarily add a video adapter to the machine, perform an install as usual,
modify the /etc/inittab to add the serial mgetty line, then remove the video
adapter

I hope this helps you in your current situation!




Note You need to log in before you can comment on or make changes to this bug.